Skip to main content
POST
/
import
Merge Identities
curl --request POST \
  --url https://{region}.mixpanel.com/import \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "event": "$merge",
    "properties": {
      "$distinct_ids": [
        "<string>"
      ]
    }
  }
]
'
{
  "code": 200,
  "num_records_imported": 2000,
  "status": "OK"
}
The $merge event payload is only useful for projects using the Original ID Merge system; it has no functionality in other ID management systems. Please review this section of our documentation for more information.
Merging identities is irreversible$merge is a very powerful tool, so we will only accept $merge events that are sent via https://api.mixpanel.com/import, which is protected by the project api secret. You cannot unmerge distinct_id.
Merge Criteria:
960

Authorizations

Authorization
string
header
required

Service Account

Query Parameters

strict
enum<string>
default:1
required

When set to 1 (recommended), Mixpanel will validate the batch and return errors per event that failed.

Available options:
0,
1
project_id
string

The Mixpanel project_id, used to authenticate service account credentials (do not provide if using secret auth).

Body

application/json
event
string
default:$merge
required

This is the name of the event. If you're loading data from a data warehouse, we recommend using the name of the table as the name of the event.

properties
properties ยท object
required

Response

A 200 response indicates all events were successfully ingested.

code
integer
num_records_imported
integer
status
string